## connect-proxy 1.101

=== Makefile ===
#!/usr/bin/make -f
PACKAGE?=connect-proxy
#URL=http://www.meadowy.org/~gotoh/projects/connect/browser/trunk/connect.c?format=raw
URL=http://www.meadowy.org/~gotoh/ssh/connect.c
INSTALL_DIR?=${DESTDIR}/usr
OBJS?=connect.o

all default: ${PACKAGE} 

install: ${PACKAGE}
	-mkdir -p ${INSTALL_DIR}/bin/
	install ${PACKAGE} ${INSTALL_DIR}/bin/
#	ln -fs ${PACKAGE} ${INSTALL_DIR}/bin/connect

${PACKAGE}: ${OBJS}
	    ${CC} -o $@ $^ ${LDFLAGS} 
clean: 
	${RM} ${PACKAGE} ${PACKAGE}.o *~ ${OBJS} || echo "# $@: $^"

# connect.c:
#	wget -O $@ "${URL}"

update:
	wget -O connect.c "${URL}"

LICENCE: /usr/share/apps/LICENSES/GPL_V2
	ln -fs $^ $@

#eof "$Id: connect-proxy/Makefile --  rzr@users.sf.net $"
# Makefile for proxy-connect
#
# Copyright (C) 2013 Conrad Meyer
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

WARNFLAGS = -Wall -Wextra
OPTFLAGS = -O2 -g -pipe -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -mtune=generic

connect: connect.c
	gcc -o $@  $(OPTFLAGS) $(WARNFLAGS) $^

=== debian/changelog ===
connect-proxy (1.101-1) unstable; urgency=low

  * New upstream release (rebuilt tarball)
  * debian/rules :  migrated to quilt
  * debian/control : bump standards
  * debian/* : updadated maintainer email, and upstream url
  * fixed man page

 -- Philippe Coval <rzr@gna.org>  Fri, 11 Dec 2009 12:36:01 +0100

connect-proxy (1.100-1) unstable; urgency=low

  * New upstream release (100 svn revision)
  * FIX: strip (Closes: #436660)
  * ADD: manpage link (Closes: #443342)

 -- Philippe Coval <rzr@users.sf.net>  Wed, 20 Sept 2007 23:59:42 +0200

connect-proxy (1.96-1) unstable; urgency=low

  * New upstream release

 -- Philippe Coval <rzr@users.sf.net>  Sat,  6 May 2006 00:59:39 +0200

connect-proxy (1.95-3) unstable; urgency=low

  * Re-uploaded with all the changelog so the ITP are correctly closed

 -- Christian Bayle <bayle@debian.org>  Sat,  1 Oct 2005 23:59:05 +0200

connect-proxy (1.95-2) unstable; urgency=low

  * more detailed example in manpage

 -- Philippe Coval <rzr@users.sf.net>  Sat, 24 Sep 2005 17:56:20 +0200

connect-proxy (1.95-1) unstable; urgency=low

  * New upstream release

 -- Philippe Coval <rzr@users.sf.net>  Wed,  7 Sep 2005 22:17:43 +0200

connect-proxy (1.93-1) unstable; urgency=low

  * Initial Release (renamed connect-proxy) Closes: #306226
  * Closes: #294943.

 -- Philippe Coval <rzr@users.sf.net>  Fri, 22 Apr 2005 22:58:56 +0200

=== debian/control ===
Source: connect-proxy
Section: net
Priority: optional
Maintainer: Philippe Coval <rzr@gna.org>
Uploaders: Christian Bayle <bayle@debian.org>
Build-Depends: debhelper (>= 5.0.0), docbook-to-man, quilt
Standards-Version: 3.8.3
Homepage: http://bitbucket.org/gotoh/connect/

Package: connect-proxy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Establish TCP connection using SOCKS4/5 or HTTP tunnel
 connect-proxy is a simple relaying command to make tunnel TCP connection
 via SOCKS or HTTPS proxies.
 It is mainly intended to be used as proxy command of OpenSSH.

=== debian/rules ===
#! /usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
MAINPACKAGE?=$(shell dpkg-parsechangelog | sed -n 's/Source: \(.*\)/\1/p')

include /usr/share/quilt/quilt.make

CFLAGS?=-Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-stamp

build-stamp: patch
	dh_testdir
	$(MAKE)
	docbook-to-man debian/${MAINPACKAGE}.sgml > debian/${MAINPACKAGE}.1
#	cd debian && sed -e "s|${MAINPACKAGE}|connect|g" < ${MAINPACKAGE}.1 > connect.1
	touch "$@"

cleanall: patch
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) -k clean

clean: cleanall unpatch
	dh_clean 
	rm -f debian/*.1

distclean: patch clean unpatch

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/${MAINPACKAGE}

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install 

#eof "$Id: connect-proxy/debian/rules $"

=== debian/watch ===
version=3

http://bitbucket.org/gotoh/connect/downloads/ \
 connect-(.*)\.zip

## connect-proxy 1.105

=== debian/changelog ===
connect-proxy (1.105-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Bump debhelper from deprecated 9 to 12.
  * Remove connect-proxy.1 from git repo, since we can generate it when
    building.
  * debian/control:
    - Remove Philippe Coval from Maintainer, since email is not
      reachable (Closes: #978623).

 -- Roger Shimizu <rosh@debian.org>  Thu, 31 Dec 2020 20:47:54 +0900

connect-proxy (1.105-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Roger Shimizu ]
  * debian/control:
    - Create git repo on salsa, and add Vcs-* URL.
    - Add Rules-Requires-Root: no
  * debian/copyright:
    - Use secure copyright file specification URI.
    - Remove Makefile entry, which does not exist.
  * debian/rules:
    - Add security hardening.

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #901453)
    + Let dpkg's buildtools.mk set up $(CC).
    + Don't hard code gcc.

 -- Roger Shimizu <rosh@debian.org>  Thu, 17 Dec 2020 02:19:57 +0900

connect-proxy (1.105-1) unstable; urgency=medium

  * New upstream release (rebuilt tarball)
  * Removed quilt, created a Makefile, switched to dh7
  * Fix non-comformant date in debian/changelog (Closes: #830423)
  * Removed patch (Closes: #689051)

 -- Christian Bayle <bayle@debian.org>  Mon, 31 Oct 2016 21:03:15 +0100

=== debian/control ===
Source: connect-proxy
Section: net
Priority: optional
Maintainer: Christian Bayle <bayle@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 docbook-to-man
Standards-Version: 3.9.6
Rules-Requires-Root: no
Homepage: http://bitbucket.org/gotoh/connect/
Vcs-Browser: https://salsa.debian.org/debian/connect-proxy
Vcs-Git: https://salsa.debian.org/debian/connect-proxy.git

Package: connect-proxy
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Establish TCP connection using SOCKS4/5 or HTTP tunnel
 connect-proxy is a simple relaying command to make tunnel TCP connection
 via SOCKS or HTTPS proxies.
 It is mainly intended to be used as proxy command of OpenSSH.

=== debian/rules ===
#!/usr/bin/make -f

# Security Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildtools.mk

%:
	dh $@

override_dh_auto_build:
	docbook-to-man debian/connect-proxy.sgml > connect-proxy.1
	mkdir -p usr/bin
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -DSOCKLEN_T=socklen_t connect.c -o usr/bin/connect-proxy

override_dh_clean:
	rm -rf usr
	dh_clean

=== debian/watch ===
version=3

https://bitbucket.org/gotoh/connect/downloads?tab=tags .*/(\d.*)\.tar\.gz
